Debian Bug report logs - #646422
postler: FTBFS: Checking for function vasprintf : no

version graph

Package: src:postler; Maintainer for src:postler is (unknown);

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Mon, 24 Oct 2011 06:12:02 UTC

Severity: important

Tags: patch

Found in version postler/0.1.1-1

Fixed in version postler/0.1.1-1.3

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#646422; Package src:postler. (Mon, 24 Oct 2011 06:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>.

Your message specified a Severity: in the pseudo-header, but the severity value seriouos was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

(Mon, 24 Oct 2011 06:12:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: postler: FTBFS: Checking for function vasprintf : no
Date: Mon, 24 Oct 2011 15:09:51 +0900
[Message part 1 (text/plain, inline)]
Source: postler
Version: 0.1.1-1
Severity: seriouos
Justification: fails to build from source
Tags: patch

Hi,

postler FTBFS on armel, armhf, alpha and sh4.

    https://buildd.debian.org/status/fetch.php?pkg=postler&arch=armel&ver=0.1.1-1&stamp=1319178797
    http://buildd.debian-ports.org/status/package.php?p=postler&suite=sid

-----
Checking for program intltool-merge         : /usr/bin/intltool-merge
Checking for header locale.h                : yes
Checking for gio-2.0 >= 2.26.0              : yes
Checking for unique-1.0 >= 0.9              : yes
Checking for gtk+-2.0 >= 2.18.0             : yes
Checking for webkit-1.0 >= 1.1.18           : yes
Checking for libnotify >=                   : yes
Checking for libcanberra >=                 : yes
Checking for indicate-0.5 >=                : yes
Checking for header sys/filio.h             : not found
Checking for function vasprintf             : no
/build/buildd-postler_0.1.1-1-armel-g8g2HG/postler-0.1.1/wscript:137:
error: the configuration failed (see
'/build/buildd-postler_0.1.1-1-armel-g8g2HG/postler-0.1.1/_build_/config.log')
make[1]: *** [override_dh_auto_configure] Error 1
make[1]: Leaving directory
`/build/buildd-postler_0.1.1-1-armel-g8g2HG/postler-0.1.1'
make: *** [build] Error 2
-----

It is because this is wrong in the check of vasprintf.
The 3rd argument of vasprintf is not pointer of char but va_list.

-----
$ cat wscript
......
131     # isync
132     conf.check (header_name='sys/filio.h')
133     conf.check (fragment='#define _GNU_SOURCE\n#include <stdio.h>\n' \
134         'int main(char** argv, int argc)\n' \
135         '{ char* a;\nvasprintf(&a, "%s", ""); return 0; }', \
136         define_name='HAVE_VASPRINTF', msg='Checking for function
vasprintf', \
137         mandatory=True)
138     check_function ('socket', 'sys/socket.h')
139     if conf.env['DEST_OS'] == 'freebsd':
-----

I made patch to fix this problem. Could you check and apply this patch?

Best regards,
 Nobuhiro
-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[postler-0.1.1.patch (text/x-patch, attachment)]

Severity set to 'serious' from 'normal' Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Mon, 24 Oct 2011 23:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#646422; Package src:postler. (Tue, 20 Dec 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Tue, 20 Dec 2011 21:45:04 GMT) Full text and rfc822 format available.

Message #12 received at 646422@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 646422@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#646422: postler: FTBFS: Checking for function vasprintf : no
Date: Tue, 20 Dec 2011 22:40:17 +0100
severity 646422 important
thanks

* Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 2011-10-24, 15:09:
>Source: postler
>Version: 0.1.1-1
>Severity: seriouos
>Justification: fails to build from source
>Tags: patch
>
>Hi,
>
>postler FTBFS on armel, armhf, alpha and sh4.
>
>    https://buildd.debian.org/status/fetch.php?pkg=postler&arch=armel&ver=0.1.1-1&stamp=1319178797
>    http://buildd.debian-ports.org/status/package.php?p=postler&suite=sid

postler has never been built on these architectures, so this is not a 
regression. Downgrading to important.

-- 
Jakub Wilk




Severity set to 'important' from 'serious' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 20 Dec 2011 21:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, micahg@ubuntu.com, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#646422; Package src:postler. (Wed, 28 Dec 2011 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Gersten <micahg@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to micahg@ubuntu.com, Devid Antonio Filoni <d.filoni@ubuntu.com>. (Wed, 28 Dec 2011 09:39:09 GMT) Full text and rfc822 format available.

Message #19 received at 646422@bugs.debian.org (full text, mbox):

From: Micah Gersten <micahg@ubuntu.com>
To: Debian Bug Tracking System <646422@bugs.debian.org>
Subject: Re: FTBFS: Checking for function vasprintf : no
Date: Wed, 28 Dec 2011 03:36:23 -0600
[Message part 1 (text/plain, inline)]
Package: postler
Version: 0.1.1-1
Followup-For: Bug #646422


The original patch was missing a semicolon after the va_list declaration. I fixed this and added DEP-3 headers.


Thanks for considering the patch.


-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric-proposed'), (500, 'oneiric'), (100, 'oneiric-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-15-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[postler_0.1.1-1ubuntu2.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#646422; Package src:postler. (Mon, 05 Mar 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Mon, 05 Mar 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #24 received at 646422@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 646422@bugs.debian.org
Subject: postler: diff for NMU version 0.1.1-1.3
Date: Mon, 5 Mar 2012 03:52:31 +0100
[Message part 1 (text/plain, inline)]
tags 646422 + pending
thanks

Dear maintainer,

I've prepared an NMU for postler (versioned as 0.1.1-1.3) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
  Hector Oron
[postler-0.1.1-1.3-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 05 Mar 2012 02:54:05 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Mon, 12 Mar 2012 05:24:05 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Mon, 12 Mar 2012 05:24:06 GMT) Full text and rfc822 format available.

Message #31 received at 646422-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 646422-close@bugs.debian.org
Subject: Bug#646422: fixed in postler 0.1.1-1.3
Date: Mon, 12 Mar 2012 05:20:14 +0000
Source: postler
Source-Version: 0.1.1-1.3

We believe that the bug you reported is fixed in the latest version of
postler, which is due to be installed in the Debian FTP archive:

postler_0.1.1-1.3.debian.tar.gz
  to main/p/postler/postler_0.1.1-1.3.debian.tar.gz
postler_0.1.1-1.3.dsc
  to main/p/postler/postler_0.1.1-1.3.dsc
postler_0.1.1-1.3_i386.deb
  to main/p/postler/postler_0.1.1-1.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646422@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated postler package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 05 Mar 2012 02:42:42 +0000
Source: postler
Binary: postler
Architecture: source i386
Version: 0.1.1-1.3
Distribution: unstable
Urgency: low
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 postler    - desktop mail client built in vala
Closes: 646422
Changes: 
 postler (0.1.1-1.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS: Checking for function vasprintf : no (Closes: #646422)
     - Thanks Nobuhiro Iwamatsu for report and patch.
Checksums-Sha1: 
 ca36fb96fcc5e721b457d3047351f9cfe12025f3 1966 postler_0.1.1-1.3.dsc
 421d30b43bcd9a635a63fde76cdb851c27b4ecd5 4349 postler_0.1.1-1.3.debian.tar.gz
 a1dd8226634325534d136b2fa4072ec0cd080c99 290594 postler_0.1.1-1.3_i386.deb
Checksums-Sha256: 
 f17a7101d4004016fe6cdb868c44e80e7c35c9ed9ea65bf2c4ae9b006f927cbc 1966 postler_0.1.1-1.3.dsc
 e9ae8edf357ba6c44d6b925c6d4a590d5e5b49ba884aaeb4e543e9fe92d6a037 4349 postler_0.1.1-1.3.debian.tar.gz
 27517b0041d90118c7c30061231b3c71cc15bcb29ee5a5e23f5da83052cb0865 290594 postler_0.1.1-1.3_i386.deb
Files: 
 78f21109f9be0dadf5b2061d03ad2e10 1966 mail optional postler_0.1.1-1.3.dsc
 2706d794b4155f9f61e4cf400f1b3e48 4349 mail optional postler_0.1.1-1.3.debian.tar.gz
 571441da68404b4289b5e9355f2efa69 290594 mail optional postler_0.1.1-1.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPVCnxAAoJEK8ig6p24qx7LXIQAJCQvElI0uh5PCEjhO+9wWC6
G+DSBn8lUs8Ljz84mMvh7rOyTEOgr/2JW1HlqcDHFbNiNoxM/TICuncKa+zoAH5t
rHwPDTfFAuufrTGD+yXq6pTOghkgZ7jmliIq/9N3w85tFNDXENL38puFMFqnz7y4
vqe9AQ+a0hn4CDzVBHVP7yh38Q1NzSjvaPxQbRzP6cO4NPZWOQx5yUCck90o3S/9
f6mqkcAVcyWLolJjS/n1lAkbThLn+jA91abhowF/RwFDj1V3feNf8M2re9uR0dlq
UdWBc3fC9gMHIYhUPvWbt1OPIqO+OXgFGpVQe/TQVA4Mo2G8ZRsgL5+vz7TDFjph
4yT7WYUsgv1FI4o9KmZCSSNcnA3321MeYlcP5qdQHLlLklsowrDFwPLh7w8um8Os
frjU0JpNnRBf+2ctg1rwRn/ldHICwr2u2casCyfxdDxlWhVUpxN7sXgubv9uLwdm
YNzvvyhaFIYwh+caGJl7RbJhIxMZ6DkyUMlPWcFDkIKZR/roppW1pDYILHRm7GOd
TB93cMKusUskRj9ExSX3mWSVnRsMn40KkdgtRb0N0q046ZhNIdIwsNsZqYGKnKv+
zWSTfrL0EUU9qPuX9W8E+55l8WOXgMM4EJ2fvnDf7oybkk3vCIbz/uTyErrvuVWG
7BlkXPNe+tM/O0Tbbc38
=DR9d
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 May 2012 07:37:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:01:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.